# !/bin/bash
#

_con=""
_ffile=""

############################
#подсказка
function fhelp()
{
	echo ""
	echo "$0 help             - текущая подсказка"
	echo ""
	echo "$0 con <data>       - разбор данных из потока, где <data> данные для разбора"
	echo "$0 file <namefile>  - разбор данных из файла, где <namefile> имя файла с данными для разбора" 
	echo ""
}

#
function fcon()
{
	str=$(echo "$_con" | sed "s/>/>\n/g")
	str=$(echo "$str" | grep "href=" | grep "/" | sed "s/\"/\n/g" | grep "/")
	echo "$str"
}

#
function ffile()
{
	str=$(cat "$_ffile" | sed "s/>/>\n/g")
	str=$(echo "$str" | grep "href=" | grep "/" | sed "s/\"/\n/g" | grep "/")
	echo "$str"
}

case $1 in
	con)
		_con=$2
		fcon
	;;
	file)
		_ffile=$2
		ffile
	;;
	help)
		fhelp
	;;
	*)
		echo ""
		echo "$0 help   - для подсказки"
		echo ""
	;;
esac

